Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.common.config.Msg

    public final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `CONFIG_MISSINGELE`
`(package private) static Msg` | `CONFIG_NOCLASS`
`(package private) static Msg` | `CONFIG_NOGETTER`
`(package private) static Msg` | `CONFIG_NOMAP`
`(package private) static Msg` | `CONFIG_NORETURN`
`(package private) static Msg` | `CONFIG_NOSETTER`
`(package private) static Msg` | `CONFIG_SETFAIL`
`(package private) static Msg` | `IGNORE`
`(package private) static Msg` | `NO_HELP`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_NOCLASS

    static final Msg CONFIG_NOCLASS

### CONFIG_MISSINGELE

    static final Msg CONFIG_MISSINGELE

### CONFIG_NOSETTER

    static final Msg CONFIG_NOSETTER

### CONFIG_NOGETTER

    static final Msg CONFIG_NOGETTER

### CONFIG_NORETURN

    static final Msg CONFIG_NORETURN

### CONFIG_NOMAP

    static final Msg CONFIG_NOMAP

### NO_HELP

    static final Msg NO_HELP

### IGNORE

    static final Msg IGNORE

### CONFIG_SETFAIL

    static final Msg CONFIG_SETFAIL

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD